import 'dart:io';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter/widgets.dart';

class SMTCameraView extends StatefulWidget {
  @override
  State<StatefulWidget> createState() => SMTCameraState();
}

class SMTCameraState extends State<SMTCameraView> {
  @override
  Widget build(BuildContext context) {
    const _viewType = "smt_camera_view";
    if (Platform.isIOS) {
      return const UiKitView(
        viewType: _viewType,
        creationParamsCodec: StandardMessageCodec(),
      );
    } else if (Platform.isAndroid) {
      return Container(
        width: double.infinity,
        height: double.infinity,
        child: const AndroidView(
          viewType: _viewType,
          creationParamsCodec: StandardMessageCodec(),
        ),
      );
    } else {
      throw Exception("不支持的平台");
    }
  }
}
